Subject: Re: Add single package manually with setup.exe (with network).
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 13 Feb 2005 10:12:18 -0800

On Sun, Feb 13, 2005 at 04:05:46AM -0500, Arturus Magi wrote:
> Bernd M?ller-Zimmermann wrote:
> 
> >I didn't manage to make setup.exe install only those
> >two packages. I would select "Default" for all groups
> >and then click away all packages but "make" and "nasm",
> >but it would still start to download *many* packages
> >(which I can't afford on my modem connection).
> >
> 
> Setup defaults to updating packages that are already installed.  What 
> you want is 'Keep.'
> 
> Packages upon which make and nasm depend may still update, incidentally, 
> and for good reason.  This will probably pull in a few other Devel and 
> Libs packages, and possibly parts of Base.

Yes...

make has prerequisites of cygwin, coreutils, ash, libintl2, libintl3,
and libiconv2, and base-passwd.

Also note that newer executables often use entry points in the cygwin
dll that don't exist in older versions of the dll.

There was somebody announcing unofficial cygwin DVDs for sale (cheap)
a couple of months ago.  Try googling for "cygwin distribution DVD".
(It no longer fits on a single CD.)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/